APIMemory
Update a memory document
Replace the body of an existing curated project memory document. Fails with not found when no document exists at the path; never creates one. Embeds on success.
PATCH https://api.sazabi.com/v1/memory/document
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/memory/document" \ -H "Content-Type: application/json" \ -d '{ "path": "string", "body": "string" }'{ "document": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "kind": "note", "managed": true, "path": "string", "title": "string", "contentHash": "string", "attrs": { "property1": null, "property2": null }, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "body": "string" }}